diff --git a/src/providers/ad/ad_dyndns.c b/src/providers/ad/ad_dyndns.c
index da01426..7e9fd2a 100644
--- a/src/providers/ad/ad_dyndns.c
+++ b/src/providers/ad/ad_dyndns.c
@@ -41,39 +41,39 @@ errno_t ad_dyndns_init(struct be_ctx *be_ctx,
      */
     ret = ad_get_dyndns_options(be_ctx, ad_opts);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set AD options\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set AD options\n");
         return ret;
     }
 
     if (dp_opt_get_bool(ad_opts->dyndns_ctx->opts,
                         DP_OPT_DYNDNS_UPDATE) == false) {
-        DEBUG(SSSDBG_CONF_SETTINGS, ("Dynamic DNS updates not set\n"));
+        DEBUG(SSSDBG_CONF_SETTINGS, "Dynamic DNS updates not set\n");
         return EOK;
     }
 
     DEBUG(SSSDBG_CONF_SETTINGS,
-          ("Dynamic DNS updates are on. Checking for nsupdate..\n"));
+          "Dynamic DNS updates are on. Checking for nsupdate..\n");
     ret = be_nsupdate_check();
     if (ret == ENOENT) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("DNS updates requested but nsupdate not available\n"));
+              "DNS updates requested but nsupdate not available\n");
         return EOK;
     } else if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Could not check for nsupdate\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Could not check for nsupdate\n");
         return ret;
     }
 
     ad_opts->be_res = be_ctx->be_res;
     if (ad_opts->be_res == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Resolver must be initialized in order "
-              "to use the AD dynamic DNS updates\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Resolver must be initialized in order "
+              "to use the AD dynamic DNS updates\n");
         return EINVAL;
     }
 
     ret = be_nsupdate_init_timer(ad_opts->dyndns_ctx, be_ctx->ev,
                                  ad_dyndns_timer, ad_opts);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set up periodic update\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set up periodic update\n");
         return ret;
     }
 
@@ -81,7 +81,7 @@ errno_t ad_dyndns_init(struct be_ctx *be_ctx,
                            ad_dyndns_update,
                            ad_opts, NULL);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not set up online callback\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not set up online callback\n");
         return ret;
     }
 
@@ -99,7 +99,7 @@ void ad_dyndns_timer(void *pvt)
     req = sdap_dyndns_timer_conn_send(ctx, sdap_ctx->be->ev, sdap_ctx,
                                       ctx->dyndns_ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory\n");
         /* Not much we can do. Just attempt to reschedule */
         be_nsupdate_timer_schedule(sdap_ctx->be->ev, ctx->dyndns_ctx);
         return;
@@ -116,7 +116,7 @@ static void ad_dyndns_timer_connected(struct tevent_req *req)
     talloc_zfree(req);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Failed to connect to AD: [%d](%s)\n", ret, sss_strerror(ret)));
+              "Failed to connect to AD: [%d](%s)\n", ret, sss_strerror(ret));
         return;
     }
 
@@ -138,7 +138,7 @@ void ad_dyndns_update(void *pvt)
 
     req = ad_dyndns_update_send(ctx);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not update DNS\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not update DNS\n");
         return;
     }
     tevent_req_set_callback(req, ad_dyndns_nsupdate_done, NULL);
@@ -149,12 +149,12 @@ static void ad_dyndns_nsupdate_done(struct tevent_req *req)
     int ret = ad_dyndns_update_recv(req);
     talloc_free(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Updating DNS entry failed [%d]: %s\n",
-              ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Updating DNS entry failed [%d]: %s\n",
+              ret, sss_strerror(ret));
         return;
     }
 
-    DEBUG(SSSDBG_OP_FAILURE, ("DNS update finished\n"));
+    DEBUG(SSSDBG_OP_FAILURE, "DNS update finished\n");
 }
 
 struct ad_dyndns_update_state {
@@ -173,7 +173,7 @@ ad_dyndns_update_send(struct ad_options *ctx)
     struct sdap_id_ctx *sdap_ctx = ctx->id_ctx->sdap_id_ctx;
     LDAPURLDesc *lud;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Performing update\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Performing update\n");
 
     req = tevent_req_create(ctx, &state, struct ad_dyndns_update_state);
     if (req == NULL) {
@@ -183,8 +183,8 @@ ad_dyndns_update_send(struct ad_options *ctx)
 
     if (ctx->dyndns_ctx->last_refresh + 60 > time(NULL) ||
         ctx->dyndns_ctx->timer_in_progress) {
-        DEBUG(SSSDBG_FUNC_DATA, ("Last periodic update ran recently or timer"
-              "in progress, not scheduling another update\n"));
+        DEBUG(SSSDBG_FUNC_DATA, "Last periodic update ran recently or timer"
+              "in progress, not scheduling another update\n");
         tevent_req_done(req);
         tevent_req_post(req, sdap_ctx->be->ev);
         return req;
@@ -194,7 +194,7 @@ ad_dyndns_update_send(struct ad_options *ctx)
     ret = ldap_url_parse(ctx->service->sdap->uri, &lud);
     if (ret != LDAP_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to parse ldap URI (%s)!\n", ctx->service->sdap->uri));
+              "Failed to parse ldap URI (%s)!\n", ctx->service->sdap->uri);
         ret = EINVAL;
         goto done;
     }
@@ -202,7 +202,7 @@ ad_dyndns_update_send(struct ad_options *ctx)
     if (lud->lud_scheme != NULL &&
         strcasecmp(lud->lud_scheme, "ldapi") == 0) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("The LDAP scheme is ldapi://, cannot proceed with update\n"));
+              "The LDAP scheme is ldapi://, cannot proceed with update\n");
         ldap_free_urldesc(lud);
         ret = EINVAL;
         goto done;
@@ -210,8 +210,8 @@ ad_dyndns_update_send(struct ad_options *ctx)
 
     if (lud->lud_host == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("The LDAP URI (%s) did not contain a host name\n",
-              ctx->service->sdap->uri));
+              "The LDAP URI (%s) did not contain a host name\n",
+              ctx->service->sdap->uri);
         ldap_free_urldesc(lud);
         ret = EINVAL;
         goto done;
@@ -243,8 +243,8 @@ ad_dyndns_update_send(struct ad_options *ctx)
     if (!subreq) {
         ret = EIO;
         DEBUG(SSSDBG_OP_FAILURE,
-              ("sdap_id_op_connect_send failed: [%d](%s)\n",
-               ret, sss_strerror(ret)));
+              "sdap_id_op_connect_send failed: [%d](%s)\n",
+               ret, sss_strerror(ret));
         goto done;
     }
     tevent_req_set_callback(subreq, ad_dyndns_sdap_update_done, req);
@@ -268,8 +268,8 @@ static void ad_dyndns_sdap_update_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Dynamic DNS update failed [%d]: %s\n",
-              ret, sss_strerror(ret)));
+              "Dynamic DNS update failed [%d]: %s\n",
+              ret, sss_strerror(ret));
         tevent_req_error(req, ret);
         return;
     }
diff --git a/src/providers/ad/ad_id.c b/src/providers/ad/ad_id.c
index f09b9c6..bc54bcc 100644
--- a/src/providers/ad/ad_id.c
+++ b/src/providers/ad/ad_id.c
@@ -290,7 +290,7 @@ ad_account_info_complete(struct tevent_req *req)
             error_text = NULL;
         } else {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("Bug: dp_error is OK on failed request"));
+                  "Bug: dp_error is OK on failed request");
             dp_error = DP_ERR_FATAL;
             error_text = req_error_text;
         }
@@ -357,15 +357,15 @@ ad_enumeration_send(TALLOC_CTX *mem_ctx,
 
     state->sdap_op = sdap_id_op_create(state, ectx->conn->conn_cache);
     if (state->sdap_op == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_create failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_create failed.\n");
         ret = ENOMEM;
         goto fail;
     }
 
     subreq = sdap_id_op_connect_send(state->sdap_op, state, &ret);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sdap_id_op_connect_send failed: %d(%s).\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "sdap_id_op_connect_send failed: %d(%s).\n",
+                                  ret, strerror(ret));
         goto fail;
     }
     tevent_req_set_callback(subreq, ad_enumeration_conn_done, req);
@@ -392,12 +392,12 @@ ad_enumeration_conn_done(struct tevent_req *subreq)
     if (ret != EOK) {
         if (dp_error == DP_ERR_OFFLINE) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Backend is marked offline, retry later!\n"));
+                  "Backend is marked offline, retry later!\n");
             tevent_req_done(req);
         } else {
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("Domain enumeration failed to connect to " \
-                   "LDAP server: (%d)[%s]\n", ret, strerror(ret)));
+                  "Domain enumeration failed to connect to " \
+                   "LDAP server: (%d)[%s]\n", ret, strerror(ret));
             tevent_req_error(req, ret);
         }
         return;
@@ -408,7 +408,7 @@ ad_enumeration_conn_done(struct tevent_req *subreq)
                                    state->sdap_op,
                                    state->sdom->dom->name);
     if (subreq == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ad_master_domain_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ad_master_domain_send failed.\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -430,7 +430,7 @@ ad_enumeration_master_done(struct tevent_req *subreq)
                                 &flat_name, &master_sid);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot retrieve master domain info\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot retrieve master domain info\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -438,7 +438,7 @@ ad_enumeration_master_done(struct tevent_req *subreq)
     ret = sysdb_master_domain_add_info(state->sdom->dom,
                                        flat_name, master_sid);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Cannot save master domain info\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Cannot save master domain info\n");
         tevent_req_error(req, ret);
         return;
     }
@@ -449,7 +449,7 @@ ad_enumeration_master_done(struct tevent_req *subreq)
         /* The ptask API will reschedule the enumeration on its own on
          * failure */
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Failed to schedule enumeration, retrying later!\n"));
+              "Failed to schedule enumeration, retrying later!\n");
         tevent_req_error(req, ENOMEM);
         return;
     }
@@ -469,7 +469,7 @@ ad_enumeration_done(struct tevent_req *subreq)
     talloc_zfree(subreq);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not enumerate domain %s\n", state->sdom->dom->name));
+              "Could not enumerate domain %s\n", state->sdom->dom->name);
         tevent_req_error(req, ret);
         return;
     }
@@ -483,7 +483,7 @@ ad_enumeration_done(struct tevent_req *subreq)
                                state->sdom->dom, true);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("Could not mark domain as having enumerated.\n"));
+              "Could not mark domain as having enumerated.\n");
         /* This error is non-fatal, so continue */
     }
 
diff --git a/src/providers/ad/ad_init.c b/src/providers/ad/ad_init.c
index c829cc8..fb4b4aa 100644
--- a/src/providers/ad/ad_init.c
+++ b/src/providers/ad/ad_init.c
@@ -124,8 +124,8 @@ common_ad_init(struct be_ctx *bectx)
                                 &ad_options);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not parse common options: [%s]\n",
-               strerror(ret)));
+              "Could not parse common options: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -140,8 +140,8 @@ common_ad_init(struct be_ctx *bectx)
                            &ad_options->service);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to init AD failover service: [%s]\n",
-               strerror(ret)));
+              "Failed to init AD failover service: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -185,15 +185,15 @@ sssm_ad_id_init(struct be_ctx *bectx,
     ret = ad_dyndns_init(ad_ctx->sdap_id_ctx->be, ad_options);
     if (ret != EOK) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-             ("Failure setting up automatic DNS update\n"));
+             "Failure setting up automatic DNS update\n");
         /* Continue without DNS updates */
     }
 
     ret = sdap_setup_child();
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("setup_child failed [%d][%s].\n",
-               ret, strerror(ret)));
+              "setup_child failed [%d][%s].\n",
+               ret, strerror(ret));
         goto done;
     }
 
@@ -222,7 +222,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
     ret = setup_tls_config(ad_ctx->sdap_id_ctx->opts->basic);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("setup_tls_config failed [%s]\n", strerror(ret)));
+              "setup_tls_config failed [%s]\n", strerror(ret));
         goto done;
     }
 
@@ -235,7 +235,7 @@ sssm_ad_id_init(struct be_ctx *bectx,
                                          default_host_dbs, ad_options->id,
                                          hostname, ad_domain);
         if (srv_ctx == NULL) {
-            DEBUG(SSSDBG_FATAL_FAILURE, ("Out of memory?\n"));
+            DEBUG(SSSDBG_FATAL_FAILURE, "Out of memory?\n");
             ret = ENOMEM;
             goto done;
         }
@@ -246,8 +246,8 @@ sssm_ad_id_init(struct be_ctx *bectx,
         /* fall back to standard plugin */
         ret = be_fo_set_dns_srv_lookup_plugin(bectx, hostname);
         if (ret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to set SRV lookup plugin "
-                                        "[%d]: %s\n", ret, strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Unable to set SRV lookup plugin "
+                                        "[%d]: %s\n", ret, strerror(ret));
             goto done;
         }
     }
@@ -258,8 +258,8 @@ sssm_ad_id_init(struct be_ctx *bectx,
                             sdap_refresh_netgroups_recv,
                             ad_ctx->sdap_id_ctx);
     if (ret != EOK && ret != EEXIST) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Periodical refresh of netgroups "
-              "will not work [%d]: %s\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Periodical refresh of netgroups "
+              "will not work [%d]: %s\n", ret, strerror(ret));
     }
 
     *ops = &ad_id_ops;
@@ -308,15 +308,15 @@ sssm_ad_auth_init(struct be_ctx *bectx,
                               &krb5_auth_ctx->opts);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not determine Kerberos options\n"));
+              "Could not determine Kerberos options\n");
         goto done;
     }
 
     ret = krb5_child_init(krb5_auth_ctx, bectx);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not initialize krb5_child settings: [%s]\n",
-               strerror(ret)));
+              "Could not initialize krb5_child settings: [%s]\n",
+               strerror(ret));
         goto done;
     }
 
@@ -380,8 +380,8 @@ sssm_ad_access_init(struct be_ctx *bectx,
                           &access_ctx->ad_options);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Could not initialize access provider options: [%s]\n",
-               strerror(ret)));
+              "Could not initialize access provider options: [%s]\n",
+               strerror(ret));
         goto fail;
     }
 
@@ -424,12 +424,12 @@ int sssm_ad_subdomains_init(struct be_ctx *bectx,
 
     ret = sssm_ad_id_init(bectx, ops, (void **) &id_ctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sssm_ad_id_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sssm_ad_id_init failed.\n");
         return ret;
     }
 
     if (ad_options == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Global AD options not available.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Global AD options not available.\n");
         return EINVAL;
     }
 
@@ -437,7 +437,7 @@ int sssm_ad_subdomains_init(struct be_ctx *bectx,
 
     ret = ad_subdom_init(bectx, id_ctx, ad_domain, ops, pvt_data);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("ad_subdom_init failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "ad_subdom_init failed.\n");
         return ret;
     }
 
diff --git a/src/providers/ad/ad_srv.c b/src/providers/ad/ad_srv.c
index 89186dd..192f1ce 100644
--- a/src/providers/ad/ad_srv.c
+++ b/src/providers/ad/ad_srv.c
@@ -131,7 +131,7 @@ static struct tevent_req *ad_get_dc_servers_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct ad_get_dc_servers_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -147,8 +147,8 @@ static struct tevent_req *ad_get_dc_servers_send(TALLOC_CTX *mem_ctx,
         goto immediately;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Looking up domain controllers in domain %s\n",
-                              domain));
+    DEBUG(SSSDBG_TRACE_FUNC, "Looking up domain controllers in domain %s\n",
+                              domain);
 
     subreq = fo_discover_srv_send(state, ev, resolv_ctx,
                                   "ldap", FO_PROTO_TCP, domains);
@@ -185,8 +185,8 @@ static void ad_get_dc_servers_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Found %zu domain controllers in domain %s\n",
-                              state->num_servers, domain));
+    DEBUG(SSSDBG_TRACE_FUNC, "Found %zu domain controllers in domain %s\n",
+                              state->num_servers, domain);
 
 done:
     if (ret != EOK) {
@@ -249,7 +249,7 @@ struct tevent_req *ad_get_client_site_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct ad_get_client_site_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -337,8 +337,8 @@ static void ad_get_client_site_connect_done(struct tevent_req *subreq)
     ret = sdap_connect_host_recv(state, subreq, &state->sh);
     talloc_zfree(subreq);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to connect to domain controller "
-              "[%s:%d]\n", state->dc.host, state->dc.port));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to connect to domain controller "
+              "[%s:%d]\n", state->dc.host, state->dc.port);
 
         ret = ad_get_client_site_next_dc(req);
         if (ret == EOK) {
@@ -405,7 +405,7 @@ static errno_t ad_get_client_site_parse_ndr(TALLOC_CTX *mem_ctx,
 
     tmp_ctx = talloc_new(NULL);
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
@@ -414,7 +414,7 @@ static errno_t ad_get_client_site_parse_ndr(TALLOC_CTX *mem_ctx,
 
     ndr_pull = ndr_pull_init_blob(&blob, mem_ctx);
     if (ndr_pull == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_init_blob() failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_init_blob() failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -422,15 +422,15 @@ static errno_t ad_get_client_site_parse_ndr(TALLOC_CTX *mem_ctx,
     ndr_err = ndr_pull_netlogon_samlogon_response(ndr_pull, NDR_SCALARS,
                                                   &response);
     if (!NDR_ERR_CODE_IS_SUCCESS(ndr_err)) {
-        DEBUG(SSSDBG_OP_FAILURE, ("ndr_pull_netlogon_samlogon_response() "
-                                  "failed [%d]\n", ndr_err));
+        DEBUG(SSSDBG_OP_FAILURE, "ndr_pull_netlogon_samlogon_response() "
+                                  "failed [%d]\n", ndr_err);
         ret = EBADMSG;
         goto done;
     }
 
     if (!(response.ntver & NETLOGON_NT_VERSION_5EX)) {
-        DEBUG(SSSDBG_OP_FAILURE, ("This NT version does not provide site "
-                                  "information [%x]\n", response.ntver));
+        DEBUG(SSSDBG_OP_FAILURE, "This NT version does not provide site "
+                                  "information [%x]\n", response.ntver);
         ret = EBADMSG;
         goto done;
     }
@@ -488,7 +488,7 @@ static void ad_get_client_site_done(struct tevent_req *subreq)
     /* we're done with this LDAP, close connection */
     talloc_zfree(state->sh);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unable to get netlogon information\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "Unable to get netlogon information\n");
 
         ret = ad_get_client_site_next_dc(req);
         if (ret == EOK) {
@@ -498,23 +498,23 @@ static void ad_get_client_site_done(struct tevent_req *subreq)
     }
 
     if (reply_count == 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("No netlogon information retrieved\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "No netlogon information retrieved\n");
         ret = ENOENT;
         goto done;
     }
 
     ret = sysdb_attrs_get_el(reply[0], AD_AT_NETLOGON, &el);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sysdb_attrs_get_el() failed\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sysdb_attrs_get_el() failed\n");
         goto done;
     }
 
     if (el->num_values == 0) {
-        DEBUG(SSSDBG_OP_FAILURE, ("netlogon has no value\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "netlogon has no value\n");
         ret = ENOENT;
         goto done;
     } else if (el->num_values > 1) {
-        DEBUG(SSSDBG_OP_FAILURE, ("More than one netlogon value?\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "More than one netlogon value?\n");
         ret = EIO;
         goto done;
     }
@@ -523,13 +523,13 @@ static void ad_get_client_site_done(struct tevent_req *subreq)
                                        el->values[0].length, &state->site,
                                        &state->forest);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Unable to retrieve site name [%d]: %s\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Unable to retrieve site name [%d]: %s\n",
+                                  ret, strerror(ret));
         ret = ENOENT;
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Found site: %s\n", state->site));
+    DEBUG(SSSDBG_TRACE_FUNC, "Found site: %s\n", state->site);
 
 done:
     if (ret != EOK) {
@@ -646,7 +646,7 @@ struct tevent_req *ad_srv_plugin_send(TALLOC_CTX *mem_ctx,
     req = tevent_req_create(mem_ctx, &state,
                             struct ad_srv_plugin_state);
     if (req == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("tevent_req_create() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "tevent_req_create() failed\n");
         return NULL;
     }
 
@@ -681,7 +681,7 @@ struct tevent_req *ad_srv_plugin_send(TALLOC_CTX *mem_ctx,
         goto immediately;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("About to find domain controllers\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "About to find domain controllers\n");
 
     subreq = ad_get_dc_servers_send(state, ev, ctx->be_res->resolv,
                                     state->discovery_domain);
@@ -718,7 +718,7 @@ static void ad_srv_plugin_dcs_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("About to locate suitable site\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "About to locate suitable site\n");
 
     subreq = ad_get_client_site_send(state, state->ev,
                                      state->ctx->be_res,
@@ -785,8 +785,8 @@ static void ad_srv_plugin_site_done(struct tevent_req *subreq)
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("About to discover primary and "
-                              "backup servers\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "About to discover primary and "
+                              "backup servers\n");
 
     subreq = fo_discover_servers_send(state, state->ev,
                                       state->ctx->be_res->resolv,
@@ -831,15 +831,15 @@ static void ad_srv_plugin_servers_done(struct tevent_req *subreq)
         return;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Got %zu primary and %zu backup servers\n",
-          state->num_primary_servers, state->num_backup_servers));
+    DEBUG(SSSDBG_TRACE_FUNC, "Got %zu primary and %zu backup servers\n",
+          state->num_primary_servers, state->num_backup_servers);
 
     ret = ad_sort_servers_by_dns(state, state->discovery_domain,
                                  &state->primary_servers,
                                  state->num_primary_servers);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to sort primary servers by DNS"
-                                     "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to sort primary servers by DNS"
+                                     "[%d]: %s\n", ret, sss_strerror(ret));
         /* continue */
     }
 
@@ -847,8 +847,8 @@ static void ad_srv_plugin_servers_done(struct tevent_req *subreq)
                                  &state->backup_servers,
                                  state->num_backup_servers);
     if (ret != EOK) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to sort backup servers by DNS"
-                                     "[%d]: %s\n", ret, sss_strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to sort backup servers by DNS"
+                                     "[%d]: %s\n", ret, sss_strerror(ret));
         /* continue */
     }
 
